SaveItemsEvent (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.event

## Class SaveItemsEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<SaveItemsEventHandler>
    - - org.gcube.portlets.user.speciesdiscovery.client.event.SaveItemsEvent

-     public class SaveItemsEvent
      extends com.google.gwt.event.shared.GwtEvent<SaveItemsEventHandler>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SaveFileFormat` | `fileFormat`
    `protected SearchResultType` | `itemType`
    `static com.google.gwt.event.shared.GwtEvent.Type<SaveItemsEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveItemsEvent(SearchResultType itemType, SaveFileFormat fileFormat, int expectedPoints, OccurrencesSaveEnum csvType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(SaveItemsEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<SaveItemsEventHandler>` | `getAssociatedType()`
    `OccurrencesSaveEnum` | `getCsvType()`
    `int` | `getExpectedPoints()`
    `SaveFileFormat` | `getFileFormat()`
    `SearchResultType` | `getItemType()`
    `void` | `setCsvType(OccurrencesSaveEnum csvType)`
    `void` | `setFileFormat(SaveFileFormat fileFormat)`
    `void` | `setItemType(SearchResultType itemType)`
    `String` | `toString()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final com.google.gwt.event.shared.GwtEvent.Type<SaveItemsEventHandler> TYPE

    - #### fileFormat

          protected SaveFileFormat fileFormat

    - #### itemType

          protected SearchResultType itemType

  - ### Constructor Detail

    - #### SaveItemsEvent

          public SaveItemsEvent(SearchResultType itemType,
                        SaveFileFormat fileFormat,
                        int expectedPoints,
                        OccurrencesSaveEnum csvType)

      Parameters:
        `taxonomyItem` -
        `fileFormat` -
        `count` -

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<SaveItemsEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<SaveItemsEventHandler>`

    - #### dispatch

          protected void dispatch(SaveItemsEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<SaveItemsEventHandler>`

    - #### getFileFormat

          public SaveFileFormat getFileFormat()

      Returns:
        the fileFormat

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `com.google.web.bindery.event.shared.Event<SaveItemsEventHandler>`

    - #### getItemType

          public SearchResultType getItemType()

    - #### setItemType

          public void setItemType(SearchResultType itemType)

    - #### setFileFormat

          public void setFileFormat(SaveFileFormat fileFormat)

    - #### getExpectedPoints

          public int getExpectedPoints()

    - #### setCsvType

          public void setCsvType(OccurrencesSaveEnum csvType)

    - #### getCsvType

          public OccurrencesSaveEnum getCsvType()

Copyright © 2013. All Rights Reserved.